Name:          dnsjava
Version:       2.0.8
Release:       %mkrel 2
Summary:       An implementation of DNS in Java
Group:         Development/Java
License:       BSD
Url:           http://www.dnsjava.org/
Source0:       http://sourceforge.net/projects/dnsjava/files/dnsjava/%{version}/dnsjava-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/dnsjava/dnsjava/%{version}/dnsjava-%{version}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: java-javadoc
BuildRequires: junit

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
dnsjava is an implementation of DNS in Java.  It supports all defined record
types (including the DNSSEC types), and unknown types.  It can be used for
queries, zone transfers, and dynamic updates.  It includes a cache which can be
used by clients, and an authoritative only server.  It supports TSIG
authenticated messages, partial DNSSEC verification, and EDNS0.  It is fully
thread safe.  It can be used to replace the native DNS support in Java.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

cp -p %SOURCE1 pom.xml

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class") 

sed -i 's|target="1.4" source="1.4|target="1.5" source="1.5|' build.xml

%build

ant -Dj2se.javadoc=%{_javadocdir}/java jar docs

%install

install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 dnsjava-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp doc/* %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.xbill:dnsjava"

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc Changelog README USAGE examples.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 24 2012 gil <gil> 2.0.8-2.mga2
+ Revision: 200591
- buid fix
  fix depmap
  adapt to the new guideline

* Sat Oct 29 2011 gil <gil> 2.0.8-1.mga2
+ Revision: 159380
- imported package dnsjava

